varying vec4	shadow_TexCoord, std_TexCoord;
varying vec4 color;
varying vec4 projCoord;
uniform sampler2DShadow	ShadowTex; //Shadow


void main()
{
	/*vec4 smCoeff =  texture2D(ShadowTex, std_TexCoord.st);

	vec3	shadowScreen_TexCoord	= shadow_TexCoord.xyz / shadow_TexCoord.w;
	float shadowColor		= 0.0;
	float z = shadowScreen_TexCoord.z * 0.98;

	if(texture2D(ShadowTex, shadowScreen_TexCoord.st		).z >= z){shadowColor += 1.0;}

	gl_FragColor = 1*smCoeff;
	*/

	const float kTransparency = 0.2;
	vec4 color = vec4(0.7,0.7,0.7,0.7);

	float rValue = shadow2DProj(ShadowTex, projCoord).r + kTransparency;
	rValue = clamp(rValue, 0.0, 1.0);

	vec3 coordPos  = projCoord.xyz / projCoord.w;


 //calculate fog attenuation
   float fogAtten = 1.0 - (gl_Fog.end - gl_FogFragCoord) * gl_Fog.scale;
   fogAtten = clamp(fogAtten, 0.0, 1.0);

	
		gl_FragColor = mix(color * rValue, gl_Fog.color, fogAtten);// color * rValue;
}