package objects;

import java.awt.*;

// This Class represents objects that can be added to the scene (they are presented
// in a table in the GUI). All of these objects ought to be unique
public class CGObject {
	private float widthX, widthZ;
	private String name;
	private Color col;
	private String[] attributes;
	
	// Constructor
	public CGObject(float wX, float wZ, String n, Color c, String[] a){
		widthX = wX;
		widthZ = wZ;
		name = n;
		col = c;
		attributes = a;
	}
	
	public float getWidthX(){
		return widthX;
	}
	
	public float getWidthZ(){
		return widthZ;
	}

	
	public String getName(){
		return name;
	}
	
	public String[] getAttributes(){
		return attributes;
	}
	
	public Color getColor(){
		return col;
	}
}
